Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextCursor.MoveMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextCursor.MoveMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextCursor

    public static final class QTextCursor.MoveMode

extends java.lang.Enum
implements QtEnumerator

If the `anchor()` is kept where it is and the `position()` is moved, the text in between will be selected.

See Also:
  Serialized Form

Field Summary
`static QTextCursor.MoveMode` | `KeepAnchor` Keeps the anchor where it is.
`static QTextCursor.MoveMode` | `MoveAnchor` Moves the anchor to the same position as the cursor itself.

Method Summary
`static QTextCursor.MoveMode` | `resolve(int value)` Returns the MoveMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCursor.MoveMode` | `valueOf(java.lang.String name)`
`static QTextCursor.MoveMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MoveAnchor

    public static final QTextCursor.MoveMode MoveAnchor

  Moves the anchor to the same position as the cursor itself.

### KeepAnchor

    public static final QTextCursor.MoveMode KeepAnchor

  Keeps the anchor where it is.

Method Detail

### values

    public static QTextCursor.MoveMode[] values()

### valueOf

    public static QTextCursor.MoveMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCursor.MoveMode resolve(int value)

  Returns the MoveMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD